% Encoding: UTF-8

@String{bathesis       = {Bachelor's thesis}}
@String{CACM           = {Communications of the ACM}}
@String{JACM           = {Journal of the ACM}}
@String{JSC            = {Journal of Symbolic Computation}}
@String{LNCS           = {LNCS}}
@String{mathesis       = {Master's thesis}}
@String{RWTH           = {RWTH Aachen University}}
@String{SIGSAMBulletin = {ACM SIGSAM Bulletin}}
@String{TOCL           = {ACM Transactions on Computational Logic}}

@InProceedings{Abbott2018,
  author       = {John Abbott and Anna M. Bigatti and Elisa Palezzato},
  title        = {New in CoCoA-5.2.4 and CoCoALib-0.99600 for SC-Square},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2018},
  booksubtitle = {SC$^2$},
  eventtitle   = {FLoC},
  volume       = {2189},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  month        = {07},
  pages        = {88--94},
  url          = {http://ceur-ws.org/Vol-2189/paper4.pdf},
}

@Article{Abel1826,
  author       = {Niels H. Abel},
  title        = {Beweis der Unmöglichkeit, algebraische Glei\-chun\-gen von höheren Graden als dem vierten allgemein auf\-zu\-lö\-sen.},
  journaltitle = {Journal für die reine und angewandte Mathematik},
  year         = {1826},
  editor       = {August L. Crelle},
  volume       = {1},
  pages        = {65--84},
  doi          = {10.1515/crll.1826.1.65},
}

@InProceedings{Abraham2016,
  author       = {Erika Ábrahám and Florian Corzilius and Einar Broch Johnsen and Gereon Kremer and Jacopo Mauro},
  title        = {Zephyrus2: On the Fly Deployment Optimization Using {SMT} and {CP} Technologies},
  booktitle    = {Dependable Software Engineering: Theories, Tools, and Applications},
  year         = {2016},
  editor       = {Martin Fr{\"{a}}nzle and Deepak Kapur and Naijun Zhan},
  booksubtitle = {SETTA},
  volume       = {9984},
  series       = LNCS,
  pages        = {229--245},
  doi          = {10.1007/978-3-319-47677-3_15},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/conf/setta/AbrahamCJKM16},
}

@InProceedings{Abraham2016a,
  author       = {Erika Ábrahám and Gereon Kremer},
  title        = {Satisfiability Checking: Theory and Applications},
  booktitle    = {Software Engineering and Formal Methods},
  year         = {2016},
  editor       = {Rocco De Nicola and eva K{\"{u}}hn},
  booksubtitle = {SEFM},
  volume       = {9763},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {9--23},
  doi          = {10.1007/978-3-319-41591-8_2},
}

@InProceedings{Abraham2017,
  author       = {Erika Ábrahám and Jasper Nalbach and Gereon Kremer},
  title        = {Embedding the Virtual Substitution Method in the Model Constructing Satisfiability Calculus Framework},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2017},
  booksubtitle = {SC$^2$},
  eventtitle   = {ISSAC},
  volume       = {1974},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  url          = {http://ceur-ws.org/Vol-1974/EAb.pdf},
  file         = {:Abraham2017 - Embedding the Virtual Substitution Method in the Model Constructing Satisfiability Calculus Framework.pdf:PDF},
}

@InProceedings{Abraham2017a,
  author       = {Erika Ábrahám and Gereon Kremer},
  title        = {{SMT} Solving for Arithmetic Theories: Theory and Tool Support},
  booktitle    = {Symbolic and Numeric Algorithms for Scientific Computing},
  year         = {2017},
  editor       = {Tudor Jebelean and Viorel Negru and Dana Petcu and Daniela Zaharie and Tetsuo Ida and Stephen M. Watt},
  booksubtitle = {SYNASC},
  publisher    = {{IEEE} Computer Society},
  pages        = {1--8},
  doi          = {10.1109/SYNASC.2017.00009},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/conf/synasc/AbrahamK17},
}

@Unpublished{Abraham2018,
  author       = {Erika Ábrahám and Gereon Kremer},
  title        = {Incremental CAD},
  year         = {2018},
  howpublished = {Presented at International Congress on Mathematical Software},
}

@Article{Abraham2020,
  author        = {Erika Ábrahám and James H. Davenport and Matthew England and Gereon Kremer},
  title         = {Deciding the Consistency of Non-Linear Real Arithmetic Constraints with a Conflict Driven Search Using Cylindrical Algebraic Coverings},
  journaltitle  = {arXiv e-prints},
  year          = {2020},
  note          = {Accepted at Journal of Logical and Algebraic Methods in Programming},
  eprint        = {2003.05633},
  archiveprefix = {arXiv},
}

@InProceedings{Armando1999,
  author       = {Alessandro Armando and Claudio Castellini and Enrico Giunchiglia},
  title        = {SAT-Based Procedures for Temporal Reasoning},
  booktitle    = {Recent Advances in AI Planning},
  year         = {1999},
  editor       = {Susanne Biundo and Maria Fox},
  booksubtitle = {ECP},
  volume       = {1809},
  series       = LNCS,
  publisher    = {Springer},
  month        = sep,
  pages        = {97--108},
  doi          = {10.1007/10720246_8},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/conf/ecp/ArmandoCG99},
  file         = {:Armando1999 - SAT Based Procedures for Temporal Reasoning.pdf:PDF},
}

@Thesis{Arnon1981,
  author      = {Dennis S. Arnon},
  title       = {Algorithms for the Geometry of Semi-Algebraic Sets},
  type        = {phdthesis},
  institution = {University of Wisconsin-Madison},
  year        = {1981},
  url         = {https://digital.library.wisc.edu/1793/58310},
}

@Article{Arnon1984,
  author       = {Dennis S. Arnon and George E. Collins and Scott McCallum},
  title        = {{C}ylindrical {A}lgebraic {D}ecomposition I: {T}he {B}asic {A}lgorithm},
  journaltitle = {SIAM Journal on Computing},
  year         = {1984},
  volume       = {13},
  issue        = {4},
  pages        = {865--877},
  doi          = {10.1137/0213054},
  file         = {:Arnon1984 - Cylindrical Algebraic Decomposition I_ the Basic Algorithm.pdf:PDF},
  publisher    = {SIAM},
}

@Book{Artin1991,
  author    = {Michael Artin},
  title     = {Algebra},
  year      = {1991},
  publisher = {Prentice Hall Inc.},
}

@Article{Asarin2007,
  author       = {Eugene Asarin and Thao Dang and Antoine Girard},
  title        = {Hybridization methods for the analysis of nonlinear systems},
  journaltitle = {Acta Informatica},
  year         = {2007},
  volume       = {43},
  issue        = {7},
  pages        = {451--476},
  issn         = {1432-0525},
  doi          = {10.1007/s00236-006-0035-7},
  publisher    = {Springer},
}

@InProceedings{Audemard2009,
  author       = {Gilles Audemard and Laurent Simon},
  title        = {Predicting Learnt Clauses Quality in Modern {SAT} Solvers},
  booktitle    = {International Joint Conference on Artificial Intelligence},
  year         = {2009},
  editor       = {Craig Boutilier},
  booksubtitle = {IJCAI},
  pages        = {399--404},
  url          = {https://ijcai.org/Proceedings/09/Papers/074.pdf},
}

@InProceedings{Barrett2002,
  author       = {Clark W. Barrett and David L. Dill and Aaron Stump},
  title        = {{C}hecking {S}atisfiability of {F}irst-{O}rder {F}ormulas by {I}ncremental {T}ranslation to {SAT}},
  booktitle    = {Computer Aided Verification},
  year         = {2002},
  booksubtitle = {CAV},
  volume       = {2404},
  series       = LNCS,
  pages        = {236--249},
  doi          = {10.1007/3-540-45657-0_18},
  file         = {:Barrett2002 - Checking Satisfiability of First Order Formulas by Incremental Translation to SAT.pdf:PDF},
}

@Article{Barrett2005,
  author    = {Clark Barrett and Leonardo de Moura and Aaron Stump},
  title     = {Design and Results of the First {S}atisfiability {M}odulo {T}heories {C}ompetition ({SMT-COMP} 2005)},
  journal   = {Journal of Automated Reasoning},
  year      = {2005},
  volume    = {35},
  issue     = {4},
  pages     = {373--390},
  doi       = {10.1007/s10817-006-9026-1},
  publisher = {Springer},
}

@InProceedings{Barrett2011,
  author       = {Clark Barrett and Christopher L. Conway and Morgan Deters and Liana Hadarean and Dejan Jovanović and Tim King and Andrew Reynolds and Cesare Tinelli},
  title        = {{CVC4}},
  booktitle    = {Computer Aided Verification},
  year         = {2011},
  editor       = {Ganesh Gopalakrishnan and Shaz Qadeer},
  booksubtitle = {CAV},
  volume       = {6806},
  series       = LNCS,
  publisher    = {Springer},
  month        = jul,
  pages        = {171--177},
  doi          = {10.1007/978-3-642-22110-1_14},
  category     = {Conference Publications},
}

@Misc{Barrett2016,
  author = {Clark W. Barrett and Pascal Fontaine and Cesare Tinelli},
  title  = {{The Satisfiability Modulo Theories Library (SMT-LIB)}},
  year   = {2016},
  url    = {http://www.smt-lib.org},
}

@Thesis{Bartolome2018,
  author      = {Lorena Calvo Bartolomé},
  title       = {Using Fourier-Motzkin Variable Elimination for MCSAT Explanations in SMT-RAT},
  type        = bathesis,
  institution = RWTH,
  year        = {2018},
  school      = RWTH,
}

@Article{Basu1996,
  author       = {Saugata Basu and Richard Pollack and Marie-Fran\c{c}oise Roy},
  title        = {On the Combinatorial and Algebraic Complexity of Quantifier Elimination},
  journaltitle = {Journal of the ACM},
  year         = {1996},
  volume       = {43},
  issue        = {6},
  pages        = {1002--1045},
  issn         = {0004-5411},
  doi          = {10.1145/235809.235813},
  acmid        = {235813},
  numpages     = {44},
  publisher    = {ACM},
}

@Book{Basu2010,
  author    = {Saugata Basu and Richard Pollack and Marie-Françoise Roy},
  title     = {Algorithms in Real Algebraic Geometry},
  year      = {2010},
  volume    = {10},
  edition   = {2},
  series    = {Algorithms and Computation in Mathematics},
  publisher = {Springer},
  doi       = {10.1007/3-540-33099-2},
}

@InProceedings{Bayardo1997,
  author       = {Roberto J. {Bayardo Jr.} and Robert Schrag},
  title        = {Using {CSP} Look-Back Techniques to Solve Real-World {SAT} Instances},
  booktitle    = {National Conference on Artificial Intelligence},
  year         = {1997},
  booksubtitle = {AAAI},
  pages        = {203--208},
  url          = {https://www.aaai.org/Papers/AAAI/1997/AAAI97-032.pdf},
  file         = {:Bayardo1997 - Using CSP Look Back Techniques to Solve Real World SAT Instances.pdf:PDF},
}

@InCollection{Benhamou2006,
  author    = {Frédéric Benhamou and Laurent Granvilliers},
  title     = {Continuous and Interval Constraints},
  booktitle = {Handbook of Constraint Programming},
  year      = {2006},
  editor    = {Francesca Rossi and Peter van Beek and Toby Walsh},
  volume    = {2},
  series    = {Foundations of Artificial Intelligence},
  publisher = {Elsevier},
  pages     = {571--603},
  doi       = {10.1016/S1574-6526(06)80020-9},
  issn      = {1574-6526},
}

@Proceedings{Biere2009,
  title     = {Handbook of Satisfiability},
  year      = {2009},
  editor    = {Armin Biere and Marijn Heule and Hans van Maaren and Toby Walsh},
  volume    = {185},
  series    = {Frontiers in Artificial Intelligence and Applications},
  publisher = {{IOS} Press},
  isbn      = {978-1-58603-929-5},
  bibsource = {dblp computer science bibliography, https://dblp.org},
  biburl    = {https://dblp.org/rec/bib/series/faia/2009-185},
}

@InProceedings{Bjorner2015,
  author       = {Nikolaj Bj{\o}rner and Anh-Dung Phan and Lars Fleckenstein},
  title        = {$\nu$Z - An Optimizing SMT Solver},
  booktitle    = {Tools and Algorithms for the Construction and Analysis of Systems},
  year         = {2015},
  editor       = {Baier, Christel and Tinelli, Cesare},
  booksubtitle = {TACAS},
  volume       = {9035},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-662-46681-0},
  pages        = {194--199},
  doi          = {10.1007/978-3-662-46681-0_14},
  address      = {Berlin, Heidelberg},
}

@InProceedings{Bobot2018,
  author       = {Fran{\c c}ois Bobot and Stéphane Graham-Lengrand and Bruno Marre and Guillaume Bury},
  title        = {Centralizing equality reasoning in MCSAT},
  booktitle    = {Satisfiability Modulo Theories},
  year         = {2018},
  booksubtitle = {SMT},
  eventtitle   = {FLoC},
  url          = {https://hal.archives-ouvertes.fr/hal-01935591},
}

@Misc{Boost,
  author = {{Boost development team}},
  title  = {The Boost C++ Library},
  year   = {2019},
  url    = {https://boost.org},
}

@InProceedings{Boyer1990,
  author       = {Robert S. Boyer and J. Strother Moore},
  title        = {A {T}heorem {P}rover for a {C}omputational {L}ogic},
  booktitle    = {Automated Deduction},
  year         = {1990},
  editor       = {Stickel, Mark E.},
  booksubtitle = {CADE-10},
  volume       = {449},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-47171-4},
  pages        = {1--15},
  doi          = {10.1007/3-540-52885-7_75},
  address      = {Berlin, Heidelberg},
}

@InProceedings{Bozzano2005,
  author       = {Marco Bozzano and Roberto Bruttomesso and Alessandro Cimatti and Tommi Junttila and Silvio Ranise and Peter van Rossum and Roberto Sebastiani},
  title        = {{E}fficient {S}atisfiability {M}odulo {T}heories via {D}elayed {T}heory {C}ombination},
  booktitle    = {Computer Aided Verification},
  year         = {2005},
  booksubtitle = {CAV},
  volume       = {3576},
  series       = LNCS,
  pages        = {335--349},
  doi          = {10.1007/11513988_34},
}

@Article{Bradford2016,
  author       = {Russell Bradford and James H. Davenport and Matthew England and Scott McCallum and David Wilson},
  title        = {Truth table invariant cylindrical algebraic decomposition},
  journaltitle = JSC,
  year         = {2016},
  volume       = {76},
  pages        = {1--35},
  doi          = {10.1016/j.jsc.2015.11.002},
}

@InProceedings{Brown1998,
  author       = {Christopher W. Brown},
  title        = {Simplification of Truth-Invariant Cylindrical Algebraic Decompositions},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {1998},
  booksubtitle = {ISSAC},
  pages        = {295--301},
  doi          = {10.1145/281508.281652},
}

@Thesis{Brown1999,
  author      = {Christopher W. Brown},
  title       = {Solution Formula Construction for Truth Invariant {CADs}},
  type        = {phdthesis},
  institution = {University of Delaware},
  year        = {1999},
  url         = {https://www.usna.edu/Users/cs/wcbrown/research/Thesis.html},
}

@Article{Brown2001,
  author       = {Christopher W. Brown},
  title        = {Improved Projection for Cylindrical Algebraic Decomposition},
  journaltitle = JSC,
  year         = {2001},
  volume       = {32},
  issue        = {5},
  pages        = {447-465},
  issn         = {0747-7171},
  doi          = {10.1006/jsco.2001.0463},
}

@Article{Brown2003,
  author       = {Christopher W. Brown},
  title        = {\textsc{Qepcad b}: A program for computing with semi-algebraic sets using CADs},
  journaltitle = {ACM SIGSAM Bulletin},
  year         = {2003},
  volume       = {37},
  issue        = {4},
  pages        = {97--108},
  issn         = {0163-5824},
  doi          = {10.1145/968708.968710},
  acmid        = {968710},
  numpages     = {12},
  publisher    = {ACM},
}

@Misc{Brown2004,
  author   = {Christopher W. Brown},
  title    = {Companion to the Tutorial Cylindrical Algebraic Decomposition},
  year     = {2004},
  subtitle = {Presented at ISSAC},
}

@InProceedings{Brown2013,
  author       = {Christopher W. Brown},
  title        = {Constructing a Single Open Cell in a Cylindrical Algebraic Decomposition},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2013},
  booksubtitle = {ISSAC},
  publisher    = {ACM},
  pages        = {133--140},
  doi          = {10.1145/2465506.2465952},
  file         = {:Brown2013 - Constructing a Single Open Cell in a Cylindrical Algebraic Decomposition.pdf:PDF},
}

@Article{Brown2015,
  author       = {Christopher W. Brown and Marek Ko\v{s}ta},
  title        = {Constructing a single cell in cylindrical algebraic decomposition},
  journaltitle = JSC,
  year         = {2015},
  volume       = {70},
  pages        = {14--48},
  doi          = {10.1016/j.jsc.2014.09.024},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/journals/jsc/BrownK15},
  file         = {:Brown2015 - Constructing a Single Cell in Cylindrical Algebraic Decomposition.pdf:PDF},
}

@InProceedings{Brown2015a,
  author       = {Christopher W. Brown},
  title        = {Open Non-uniform Cylindrical Algebraic Decompositions},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2015},
  booksubtitle = {ISSAC},
  publisher    = {ACM},
  isbn         = {978-1-4503-3435-8},
  pages        = {85--92},
  doi          = {10.1145/2755996.2756654},
  acmid        = {2756654},
  keywords     = {cylindrical algebraic decomposition, polynomial inequalities},
  numpages     = {8},
}

@InProceedings{Bryant1999,
  author       = {Randal E. Bryant and Steven German and Miroslav N. Velev},
  title        = {Exploiting Positive Equality in a Logic of Equality with Uninterpreted Functions},
  booktitle    = {Computer Aided Verification},
  year         = {1999},
  editor       = {Halbwachs, Nicolas and Peled, Doron},
  booksubtitle = {CAV},
  volume       = {1633},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-48683-1},
  pages        = {470--482},
  doi          = {10.1007/3-540-48683-6_40},
  address      = {Berlin, Heidelberg},
}

@Thesis{Buchberger1965,
  author      = {Bruno Buchberger},
  title       = {Ein Algorithmus zum Auffinden der Basiselemente des Restklassenringes nach einem nulldimensionalen Polynomideal},
  type        = {phdthesis},
  institution = {University of Innsbruck},
  year        = {1965},
  school      = {Ph. D. thesis, University of Innsbruck, Innsbruck},
}

@TechReport{Buro1992,
  author      = {Michael Buro and Hans Kleine Büning},
  title       = {Report on a SAT competition},
  institution = {Fachbereich Mathematik-Informatik},
  year        = {1992},
  url         = {https://stamm-wilbrandt.de/en/Report_on_a_SAT_competition.pdf},
  file        = {:Buro1992 - Report on a SAT Competition.pdf:PDF},
}

@Misc{CArL,
  author = {Gereon Kremer and others},
  title  = {Computer Arithmetic and Logic library (CArL)},
  year   = {2020},
  url    = {https://github.com/smtrat/carl},
}

@Book{Cauchy1828,
  author    = {Augustin Louis Baron Cauchy},
  title     = {Exercices de math{\'e}matiques},
  year      = {1828},
  volume    = {3},
  publisher = {Bure fr{\`e}res},
}

@Book{Caviness1998,
  author    = {Bob Forrester Caviness and Jeremy R. Johnson},
  title     = {Quantifier {E}limination and {C}ylindrical {A}lgebraic {D}ecomposition},
  year      = {1998},
  publisher = {Springer},
  doi       = {10.1007/978-3-7091-9459-1},
}

@InProceedings{Chen2009,
  author       = {Changbo Chen and Marc Moreno Maza and Bican Xia and Lu Yang},
  title        = {Computing Cylindrical Algebraic Decomposition via Triangular Decomposition},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2009},
  booksubtitle = {ISSAC},
  publisher    = {ACM},
  location     = {Seoul, Republic of Korea},
  isbn         = {978-1-60558-609-0},
  pages        = {95--102},
  doi          = {10.1145/1576702.1576718},
  acmid        = {1576718},
  address      = {New York, NY, USA},
  keywords     = {cad, regular chain, triangular decomposition},
  numpages     = {8},
}

@Article{Church1936,
  author       = {Alonzo Church},
  title        = {An Unsolvable Problem of Elementary Number Theory},
  journaltitle = {American Journal of Mathematics},
  year         = {1936},
  volume       = {58},
  number       = {2},
  pages        = {345--363},
  doi          = {10.2307/2371045},
  publisher    = {Johns Hopkins University Press},
}

@Article{Church1969,
  author       = {Alonzo Church},
  title        = {Alfred Tarski. The completeness of elementary algebra and geometry},
  journaltitle = {Journal of Symbolic Logic},
  year         = {1969},
  titleaddon   = {Review},
  volume       = {34},
  issue        = {2},
  pages        = {302},
  doi          = {10.2307/2271123},
  publisher    = {Cambridge University Press},
}

@Article{Chvatal1979,
  author       = {Vasek Chv{\'{a}}tal},
  title        = {A Greedy Heuristic for the Set-Covering Problem},
  journaltitle = {Mathematics of Operations Research},
  year         = {1979},
  volume       = {4},
  number       = {3},
  pages        = {233--235},
  doi          = {10.1287/moor.4.3.233},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/journals/mor/Chvatal79},
}

@InProceedings{Cimatti2013,
  author       = {Alessandro Cimatti and Alberto Griggio and Bastiaan Schaafsma and Roberto Sebastiani},
  title        = {{The MathSAT5 SMT Solver}},
  booktitle    = {Tools and Algorithms for the Construction and Analysis of Systems},
  year         = {2013},
  editor       = {Nir Piterman and Scott Smolka},
  booksubtitle = {TACAS},
  volume       = {7795},
  series       = {LNCS},
  publisher    = {Springer},
  doi          = {10.1007/978-3-642-36742-7_7},
}

@Article{Cimatti2018,
  author       = {Alessandro Cimatti and Alberto Griggio and Ahmed Irfan and Marco Roveri and Roberto Sebastiani},
  title        = {Incremental Linearization for Satisfiability and Verification Modulo Nonlinear Arithmetic and Transcendental Functions},
  journaltitle = TOCL,
  year         = {2018},
  volume       = {19},
  issue        = {3},
  pages        = {19:1--19:52},
  issn         = {1529-3785},
  doi          = {10.1145/3230639},
  acmid        = {3230639},
  articleno    = {19},
  numpages     = {52},
  publisher    = {ACM},
}

@Article{Clarke2004,
  author       = {Edmund M. Clarke and Daniel Kroening and Natasha Sharygina and Karen Yorav},
  title        = {Predicate Abstraction of {ANSI-C} Programs Using {SAT}},
  journaltitle = {Formal Methods in System Design},
  year         = {2004},
  volume       = {25},
  issue        = {2--3},
  pages        = {105--127},
  doi          = {10.1023/B:FORM.0000040025.89719.f3},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/journals/fmsd/ClarkeKSY04},
  file         = {:Clarke2004 - Predicate Abstraction of ANSI C Programs Using SAT.pdf:PDF},
}

@Misc{CoCoALib,
  author = {John Abbott and Anna M. Bigatti},
  title  = {{CoCoALib}: a C++ library for doing {C}omputations in {C}ommutative {A}lgebra},
  year   = {2019},
  url    = {http://cocoa.dima.unige.it/cocoalib},
}

@InProceedings{Collins1956,
  author       = {George E. Collins},
  title        = {The Tarski decision procedure},
  booktitle    = {Proceedings of the 1956 11th ACM National Meeting},
  year         = {1956},
  booksubtitle = {ACM},
  publisher    = {ACM},
  pages        = {162--164},
  doi          = {10.1145/800258.808975},
  acmid        = {808975},
  address      = {New York, NY, USA},
  numpages     = {3},
}

@Article{Collins1960,
  author       = {George E. Collins},
  title        = {A Method for Overlapping and Erasure of Lists},
  journaltitle = CACM,
  year         = {1960},
  volume       = {3},
  issue        = {12},
  pages        = {655--657},
  doi          = {10.1145/367487.367501},
  acmid        = {367501},
  numpages     = {3},
  publisher    = {ACM},
}

@Article{Collins1966,
  author       = {George E. Collins},
  title        = {PM, A System for Polynomial Manipulation},
  journaltitle = CACM,
  year         = {1966},
  volume       = {9},
  issue        = {8},
  pages        = {578--589},
  doi          = {10.1145/365758.365770},
  acmid        = {365770},
  numpages     = {12},
  publisher    = {ACM},
}

@Article{Collins1967,
  author       = {George E. Collins},
  title        = {Subresultants and Reduced Polynomial Remainder Sequences},
  journaltitle = JACM,
  year         = {1967},
  volume       = {14},
  issue        = {1},
  pages        = {128--142},
  doi          = {10.1145/321371.321381},
  acmid        = {321381},
  numpages     = {15},
  publisher    = {ACM},
}

@InProceedings{Collins1971a,
  author       = {George E. Collins},
  title        = {The SAC-1~{S}ystem: An Introduction and Survey},
  booktitle    = {ACM Symposium on Symbolic and Algebraic Manipulation},
  year         = {1971},
  booksubtitle = {SYMSAC},
  publisher    = {ACM},
  pages        = {144--152},
  doi          = {10.1145/800204.806279},
  acmid        = {806279},
  numpages     = {9},
}

@Article{Collins1971b,
  author       = {George E. Collins},
  title        = {The Calculation of Multivariate Polynomial Resultants},
  journaltitle = JACM,
  year         = {1971},
  volume       = {18},
  issue        = {4},
  pages        = {515--532},
  issn         = {0004-5411},
  doi          = {10.1145/321662.321666},
  acmid        = {321666},
  numpages     = {18},
  publisher    = {ACM},
}

@Unpublished{Collins1973,
  author       = {George E. Collins},
  title        = {Efficient Quantifier Elimination for Elementary Algebra},
  year         = {1973},
  howpublished = {Presented at Symposium on Complexity of Sequential and Parallel Numerical Algorithms},
}

@Article{Collins1974,
  author       = {George E. Collins},
  title        = {Quantifier Elimination for Real Closed Fields by Cylindrical Algebraic Decomposition--Preliminary Report},
  journaltitle = {ACM SIGSAM Bulletin},
  year         = {1974},
  volume       = {8},
  issue        = {3},
  pages        = {80--90},
  doi          = {10.1145/1086837.1086852},
  file         = {:Collins1974 - Quantifier Elimination for Real Closed Fields by Cylindrical Algebraic Decomposition Preliminary Report.pdf:PDF},
  publisher    = {ACM},
}

@InProceedings{Collins1975,
  author       = {George E. Collins},
  title        = {Quantifier Elimination for Real Closed Fields by Cylindrical Algebraic Decomposition},
  booktitle    = {Automata Theory and Formal Languages},
  year         = {1975},
  editor       = {H. Barkhage},
  booksubtitle = {2nd {GI} Conference},
  volume       = {33},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {134--183},
  doi          = {10.1007/3-540-07407-4_17},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/conf/automata/Collins75},
  file         = {:Collins1975 - Quantifier Elimination for Real Closed Fields by Cylindrical Algebraic Decomposition.pdf:PDF},
}

@InProceedings{Collins1976,
  author       = {George E. Collins and Alkiviadis G. Akritas},
  title        = {Polynomial Real Root Isolation Using Descarte's Rule of Signs},
  booktitle    = {ACM Symposium on Symbolic and Algebraic Computation},
  year         = {1976},
  booksubtitle = {SYMSAC},
  publisher    = {ACM},
  location     = {Yorktown Heights, New York, USA},
  pages        = {272--275},
  doi          = {10.1145/800205.806346},
  acmid        = {806346},
  address      = {New York, NY, USA},
  numpages     = {4},
}

@InProceedings{Collins1985,
  author       = {George E. Collins},
  title        = {The SAC-2 Computer Algebra System},
  booktitle    = {European Conference on Computer Algebra},
  year         = {1985},
  editor       = {Caviness, Bob F.},
  booksubtitle = {EUROCAL},
  volume       = {204},
  series       = LNCS,
  publisher    = {Springer},
  isbn         = {978-3-540-39685-7},
  pages        = {34--35},
  doi          = {10.1007/3-540-15984-3_235},
  address      = {Berlin, Heidelberg},
}

@Article{Collins1991,
  author       = {George E. Collins and Hoon Hong},
  title        = {Partial Cylindrical Algebraic Decomposition for Quantifier Elimination},
  journaltitle = JSC,
  year         = {1991},
  volume       = {12},
  issue        = {3},
  pages        = {299--328},
  doi          = {10.1016/S0747-7171(08)80152-6},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/journals/jsc/CollinsH91},
  file         = {:Collins1991 - Partial Cylindrical Algebraic Decomposition for Quantifier Elimination.pdf:PDF},
}

@InCollection{Collins1998,
  author    = {George E. Collins},
  title     = {Quantifier Elimination by Cylindrical Algebraic Decomposition --- Twenty Years of Progress},
  booktitle = {Quantifier Elimination and Cylindrical Algebraic Decomposition},
  year      = {1998},
  editor    = {Bob F. Caviness and Jeremy R. Johnson},
  publisher = {Springer},
  isbn      = {978-3-7091-9459-1},
  pages     = {8--23},
  doi       = {10.1007/978-3-7091-9459-1_2},
}

@Article{Collins2001,
  author   = {George E. Collins},
  title    = {Polynomial Minimum Root Separation},
  journal  = {Journal of Symbolic Computation},
  year     = {2001},
  volume   = {32},
  issue    = {5},
  pages    = {467--473},
  issn     = {0747-7171},
  doi      = {10.1006/jsco.2001.0481},
  abstract = {There is a well-known lower bound, due to Mignotte, for the minimum root separation of a squarefree integral polynomial, but no evidence for the sharpness of this bound. This paper provides massive computational evidence for a conjectured much larger bound, one that is approximately the square root of Mignotte’s bound.},
}

@InProceedings{Corzilius2012,
  author       = {Florian Corzilius and Ulrich Loup and Sebastian Junges and Erika Ábrahám},
  title        = {SMT-RAT: An SMT-Compliant Nonlinear Real Arithmetic Toolbox (Tool Presentation)},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2012},
  booksubtitle = {SAT},
  volume       = {7317},
  series       = LNCS,
  publisher    = {Springer},
  doi          = {10.1007/978-3-642-31612-8_35},
}

@InProceedings{Corzilius2015,
  author       = {Florian Corzilius and Gereon Kremer and Sebastian Junges and Stefan Schupp and Erika Ábrahám},
  title        = {{SMT-RAT:} An Open Source C++ Toolbox for Strategic and Parallel SMT Solving},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2015},
  booksubtitle = {SAT},
  volume       = {9340},
  series       = LNCS,
  publisher    = {Springer},
  isbn         = {978-3-319-24318-4},
  pages        = {360--368},
  doi          = {10.1007/978-3-319-24318-4_26},
  file         = {:Corzilius2015 - SMT RAT_ an Open Source C++ Toolbox for Strategic and Parallel SMT Solving.pdf:PDF},
  issn         = {0302-9743},
}

@InProceedings{Crossley1975,
  author    = {John N. Crossley},
  title     = {Reminiscences of Logicians},
  booktitle = {Algebra and Logic},
  year      = {1975},
  editor    = {Crossley, John Newsome},
  volume    = {450},
  series    = {LNM},
  publisher = {Springer Berlin Heidelberg},
  isbn      = {978-3-540-37480-0},
  pages     = {1--62},
  doi       = {10.1007/BFb0062850},
  address   = {Berlin, Heidelberg},
}

@Article{Davenport1988,
  author    = {James H. Davenport and Joos Heintz},
  title     = {Real Quantifier Elimination is Doubly Exponential},
  journal   = JSC,
  year      = {1988},
  volume    = {5},
  issue     = {1--2},
  pages     = {29--35},
  doi       = {10.1016/S0747-7171(88)80004-X},
  bibsource = {dblp computer science bibliography, https://dblp.org},
  biburl    = {https://dblp.org/rec/bib/journals/jsc/DavenportH88},
}

@Article{Davis1960,
  author       = {Martin Davis and Hilary Putnam},
  title        = {A Computing Procedure for Quantification Theory},
  journaltitle = JACM,
  year         = {1960},
  volume       = {7},
  issue        = {3},
  pages        = {201--215},
  issn         = {0004-5411},
  doi          = {10.1145/321033.321034},
  acmid        = {321034},
  file         = {:Davis1960 - A Computing Procedure for Quantification Theory.pdf:PDF},
  numpages     = {15},
  publisher    = {ACM},
}

@Article{Davis1962,
  author       = {Martin Davis and George Logemann and Donald Loveland},
  title        = {A Machine Program for Theorem-Proving},
  journaltitle = {Communications of the ACM},
  year         = {1962},
  volume       = {5},
  issue        = {7},
  pages        = {394--397},
  issn         = {0001-0782},
  doi          = {10.1145/368273.368557},
  acmid        = {368557},
  file         = {:Davis1962 - A Machine Program for Theorem Proving.pdf:PDF},
  numpages     = {4},
  publisher    = {ACM},
}

@Book{Descartes1637,
  author = {René Descartes},
  title  = {La Géométrie},
  year   = {1637},
  url    = {https://journals.openedition.org/bibnum/635},
}

@Article{Dines1919,
  author       = {Lloyd L. Dines},
  title        = {Systems of Linear Inequalities},
  journaltitle = {Annals of Mathematics},
  year         = {1919},
  volume       = {20},
  number       = {3},
  pages        = {191--199},
  doi          = {10.2307/1967869},
  publisher    = {JSTOR},
}

@Article{Dolzmann1997,
  author       = {Andreas Dolzmann and Thomas Sturm},
  title        = {REDLOG: Computer Algebra Meets Computer Logic},
  journaltitle = SIGSAMBulletin,
  year         = {1997},
  volume       = {31},
  issue        = {2},
  pages        = {2--9},
  issn         = {0163-5824},
  doi          = {10.1145/261320.261324},
  acmid        = {261324},
  numpages     = {8},
  publisher    = {ACM},
}

@InProceedings{Dolzmann2004,
  author       = {Andreas Dolzmann and Andreas Seidl and Thomas Sturm},
  title        = {Efficient Projection Orders for {CAD}},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2004},
  booksubtitle = {ISSAC},
  publisher    = {ACM},
  isbn         = {1-58113-827-X},
  pages        = {111--118},
  doi          = {10.1145/1005285.1005303},
  acmid        = {1005303},
  address      = {New York, NY, USA},
  keywords     = {partial cad, projection operator, redlog},
  numpages     = {8},
}

@Article{Dries1988,
  author       = {Lou van den Dries},
  title        = {Alfred Tarski's Elimination Theory for Real Closed Fields},
  journaltitle = {The Journal of Symbolic Logic},
  year         = {1988},
  volume       = {53},
  number       = {1},
  pages        = {7--19},
  doi          = {10.2307/2274424},
}

@Article{Ducos2000,
  author       = {Lionel Ducos},
  title        = {Optimizations of the subresultant algorithm},
  journaltitle = {Journal of Pure and Applied Algebra},
  year         = {2000},
  volume       = {145},
  issue        = {2},
  pages        = {149--163},
  doi          = {10.1016/S0022-4049(98)00081-4},
  publisher    = {Elsevier},
}

@InProceedings{Dutertre2006,
  author       = {Bruno Dutertre and Leonardo de Moura},
  title        = {A Fast Linear-Arithmetic Solver for DPLL(T)},
  booktitle    = {Computer Aided Verification},
  year         = {2006},
  editor       = {Ball, Thomas and Jones, Robert B.},
  booksubtitle = {CAV},
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-37411-4},
  pages        = {81--94},
  doi          = {10.1007/11817963_11},
  address      = {Berlin, Heidelberg},
}

@InProceedings{Dutertre2014,
  author       = {Bruno Dutertre},
  title        = {Yices 2.2},
  booktitle    = {Computer Aided Verification},
  year         = {2014},
  editor       = {Biere, Armin and Bloem, Roderick},
  booksubtitle = {CAV},
  volume       = {8559},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {737--744},
  doi          = {10.1007/978-3-319-08867-9_49},
}

@InProceedings{Een2003,
  author       = {Niklas E{\'{e}}n and Niklas S{\"{o}}rensson},
  title        = {An Extensible SAT-solver},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2003},
  editor       = {Enrico Giunchiglia and Armando Tacchella},
  booksubtitle = {SAT},
  volume       = {2919},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {502--518},
  doi          = {10.1007/978-3-540-24605-3_37},
  file         = {:Een2003 - An Extensible SAT Solver.pdf:PDF},
}

@Misc{Eigen3,
  author = {Ga\"{e}l Guennebaud and Beno\^{i}t Jacob and others},
  title  = {Eigen v3},
  year   = {2010},
  url    = {https://eigen.tuxfamily.org},
}

@InProceedings{England2014,
  author       = {Matthew England and Russell Bradford and James H. Davenport and David Wilson},
  title        = {Choosing a Variable Ordering for Truth-Table Invariant Cylindrical Algebraic Decomposition by Incremental Triangular Decomposition},
  booktitle    = {International Congress on Mathematical Software},
  year         = {2014},
  booksubtitle = {ICMS},
  volume       = {8592},
  series       = LNCS,
  publisher    = {Springer},
  isbn         = {978-3-662-44198-5},
  doi          = {10.1007/978-3-662-44199-2_68},
}

@InProceedings{England2015,
  author       = {Matthew England and Russell Bradford and James H. Davenport},
  title        = {Improving the Use of Equational Constraints in Cylindrical Algebraic Decomposition},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2015},
  booksubtitle = {ISSAC},
  pages        = {165--172},
  doi          = {10.1145/2755996.2756678},
  file         = {:England2015 - Improving the Use of Equational Constraints in Cylindrical Algebraic Decomposition.pdf:PDF},
  numpages     = {8},
}

@InProceedings{Fontaine2018,
  author       = {Pascal Fontaine and Mizuhito Ogawa and Thomas Sturm and Van Khanh To and Xuan Tung Vu},
  title        = {Wrapping Computer Algebra is Surprisingly Successful for Non-Linear SMT},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2018},
  booksubtitle = {SC$^2$},
  eventtitle   = {FLoC},
  volume       = {2189},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  pages        = {110--117},
  url          = {http://ceur-ws.org/Vol-2189/paper3.pdf},
}

@Article{Fourier1825,
  author       = {Jean Baptiste Joseph Fourier},
  title        = {Sur le Calcul des conditions d'inégalité},
  journaltitle = {Nouveau Bulletin des Sciences par la Société philomathique de Paris},
  year         = {1825},
  pages        = {66-68},
  url          = {https://biodiversitylibrary.org/page/4153058},
}

@Article{Fourier1826,
  author       = {Jean Baptiste Joseph Fourier},
  title        = {Solution d'une question particuli\`ere du calcul des inégalités},
  journaltitle = {Nouveau Bulletin des Sciences par la Société philomathique de Paris},
  year         = {1826},
  pages        = {99--100},
  url          = {https://biodiversitylibrary.org/page/4453516},
}

@Article{Fousse2007,
  author       = {Laurent Fousse and Guillaume Hanrot and Vincent Lef{\`e}vre and Patrick P{\'e}lissier and Paul Zimmermann},
  title        = {MPFR: A Multiple-Precision Binary Floating-Point Library With Correct ounding},
  journaltitle = {ACM Transactions on Mathematical Software},
  year         = {2007},
  volume       = {33},
  issue        = {2},
  doi          = {10.1145/1236463.1236468},
  publisher    = {ACM},
}

@Thesis{Franzen2020,
  author      = {Hanna Franzen},
  title       = {Conflict Driven Cylindrical Algebraic Coverings for Nonlinear Arithmetic in SMT Solving},
  type        = mathesis,
  institution = RWTH,
  year        = {2020},
}

@PhdThesis{Freeman1995,
  author      = {Jon William Freeman},
  title       = {Improvements to Propositional Satisfiability Search Algorithms},
  institution = {University of Pennsylvania},
  year        = {1995},
  url         = {https://repository.upenn.edu/dissertations/AAI9532175},
  address     = {Philadelphia, PA, USA},
  publisher   = {University of Pennsylvania},
  school      = {University of Pennsylvania},
}

@InProceedings{Fuhs2007,
  author       = {Carsten Fuhs and Jürgen Giesl and Aart Middeldorp and Peter Schneider-Kamp and René Thiemann and Harald Zankl},
  title        = {SAT Solving for Termination Analysis with Polynomial Interpretations},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2007},
  editor       = {Marques-Silva, Jo{\~a}o and Sakallah, Karem A.},
  booksubtitle = {SAT},
  volume       = {4501},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-72788-0},
  pages        = {340--354},
  doi          = {10.1007/978-3-540-72788-0_33},
  address      = {Berlin, Heidelberg},
}

@Article{Fujiwara1916,
  author       = {Matsusabur{\^o} Fujiwara},
  title        = {Über die obere Schranke des absoluten Betrages der Wurzeln einer algebraischen Gleichung},
  journaltitle = {Tohoku Mathematical Journal, First Series},
  year         = {1916},
  volume       = {10},
  pages        = {167--171},
  url          = {https://www.jstage.jst.go.jp/article/tmj1911/10/0/10_0_167/_article},
}

@InProceedings{Gao2013,
  author       = {Sicun Gao and Soonho Kong and Edmund M. Clarke},
  title        = {dReal: An SMT Solver for Nonlinear Theories over the Reals},
  booktitle    = {Automated Deduction},
  year         = {2013},
  booksubtitle = {CADE-24},
  volume       = {7898},
  series       = LNCS,
  pages        = {208--214},
  doi          = {10.1007/978-3-642-38574-2_14},
}

@Book{Geddes1992,
  author    = {Keith O. Geddes and Stephen R. Czapor and George Labahn},
  title     = {Algorithms for Computer Algebra},
  year      = {1992},
  publisher = {Kluwer Academic Publishers},
  doi       = {10.1007/b102438},
}

@InProceedings{Giunchiglia1996,
  author       = {Fausto Giunchiglia and Roberto Sebastiani},
  title        = {Building Decision Procedures for Modal Logics from Propositional Decision Procedures -- The Case Study of Modal K},
  booktitle    = {Automated Deduction},
  year         = {1996},
  editor       = {McRobbie, M. A. and Slaney, J. K.},
  booksubtitle = {CADE-13},
  volume       = {1104},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-68687-3},
  pages        = {583--597},
  doi          = {10.1007/3-540-61511-3_115},
  address      = {Berlin, Heidelberg},
}

@Article{Goedel1931,
  author       = {Kurt Gödel},
  title        = {Über formal unentscheidbare Sätze der Principia Mathematica und verwandter Systeme I},
  journaltitle = {Monatshefte für Mathematik und Physik},
  year         = {1931},
  volume       = {38},
  issue        = {1},
  pages        = {173--198},
  issn         = {1436-5081},
  doi          = {10.1007/BF01700692},
}

@InProceedings{Gomes1998,
  author       = {Carla P. Gomes and Bart Selman and Henry A. Kautz},
  title        = {Boosting Combinatorial Search Through Randomization},
  booktitle    = {National Conference on Artificial Intelligence},
  year         = {1998},
  booksubtitle = {AAAI},
  pages        = {431--437},
  url          = {https://www.aaai.org/Papers/AAAI/1998/AAAI98-061.pdf},
  file         = {:Gomes1998 - Boosting Combinatorial Search through Randomization.pdf:PDF},
}

@InProceedings{Graham2017,
  author       = {Stéphane Graham-Lengrand and Dejan Jovanovi{\'c}},
  title        = {An MCSAT treatment of Bit-Vectors (preliminary report)},
  booktitle    = {Satisfiability Modulo Theories},
  year         = {2017},
  booksubtitle = {SMT},
  eventtitle   = {CAV},
  url          = {https://hal.archives-ouvertes.fr/hal-01615837},
}

@Misc{Granlund,
  author = {Torbjörn Granlund and {the GMP development team}},
  title  = {The GNU Multiple Precision Arithmetic Library},
  year   = {2019},
  url    = {https://gmplib.org},
  key    = {GMP},
}

@Article{Grigorev1988,
  author       = {D. Yu. Grigor'ev and N.N. Vorobjov},
  title        = {Solving Systems of Polynomial Inequalities in Subexponential Time},
  journaltitle = JSC,
  year         = {1988},
  volume       = {5},
  issue        = {1--2},
  pages        = {37--64},
  issn         = {0747-7171},
  doi          = {10.1016/S0747-7171(88)80005-1},
}

@Thesis{Grobelna2017,
  author      = {Marta Grobelna},
  title       = {Solving Pseudo-Boolean Constraints},
  type        = bathesis,
  institution = RWTH,
  year        = {2017},
  school      = RWTH,
}

@Thesis{Haehn2018a,
  author      = {Rebecca Haehn},
  title       = {Using Equational Constraints in an Incremental CAD Projection},
  type        = mathesis,
  institution = RWTH,
  year        = {2018},
}

@InProceedings{Haehn2018b,
  author       = {Rebecca Haehn and Gereon Kremer and Erika Ábrahám},
  title        = {Evaluation of Equational Constraints for CAD in SMT Solving},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2018},
  booksubtitle = {SC$^2$},
  eventtitle   = {FLoC},
  volume       = {2189},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  pages        = {19--32},
  url          = {http://ceur-ws.org/Vol-2189/paper10.pdf},
  file         = {:Haehn2018b - Evaluation of Equational Constraints for CAD in SMT Solving.pdf:PDF},
}

@Misc{Haible1996,
  author = {Bruno Haible and Richard Kreckel},
  title  = {CLN -- Class Library for Numbers},
  year   = {1996},
  url    = {https://ginac.de/CLN},
  pages  = {21},
}

@PhdThesis{Heindel1970,
  author      = {Lee E. Heindel},
  title       = {Algorithms for exact Polynomial Root Calculation},
  institution = {University of Wisconsin},
  year        = {1970},
  url         = {https://search.library.wisc.edu/catalog/999840854302121},
}

@Article{Hentenryck1997,
  author       = {Pascal Van Hentenryck and David McAllester and Deepak Kapur},
  title        = {Solving Polynomial Systems Using a Branch and Prune Approach},
  journaltitle = {SIAM Journal on Numerical Analysis},
  year         = {1997},
  volume       = {34},
  issue        = {2},
  pages        = {797--827},
  issn         = {0036-1429},
  doi          = {10.1137/s0036142995281504},
}

@Thesis{Hentze2017,
  author      = {Wanja Hentze},
  title       = {Computing minimal infeasible subsets for the Cylindrical Algebraic Decomposition},
  type        = bathesis,
  institution = RWTH,
  year        = {2017},
  file        = {:Hentze2017 - Computing Minimal Infeasible Subsets for the Cylindrical Algebraic Decomposition.pdf:PDF},
}

@Article{Hirst1997,
  author       = {Holly P. Hirst and Wade T. Macey},
  title        = {Bounding the Roots of Polynomials},
  journaltitle = {The College Mathematics Journal},
  year         = {1997},
  volume       = {28},
  issue        = {4},
  pages        = {292--295},
  doi          = {10.1080/07468342.1997.11973878},
  publisher    = {Taylor \& Francis},
}

@InProceedings{Hong1990,
  author       = {Hoon Hong},
  title        = {An Improvement of the Projection Operator in Cylindrical Algebraic Decomposition},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {1990},
  booksubtitle = {ISSAC},
  pages        = {261--264},
  doi          = {10.1145/96877.96943},
  file         = {:Hong1990 - An Improvement of the Projection Operator in Cylindrical Algebraic Decomposition.pdf:PDF},
  numpages     = {4},
}

@TechReport{Hong1991,
  author      = {Hoon Hong},
  title       = {Comparison of Several Decision Algorithms for the Existential Theory of the Reals},
  institution = {Johannes Kepler University},
  year        = {1991},
  type        = {resreport},
  pages       = {1--33},
}

@InProceedings{Huang2007,
  author       = {Jinbo Huang},
  title        = {The Effect of Restarts on the Efficiency of Clause Learning},
  booktitle    = {International Joint Conference on Artifical Intelligence},
  year         = {2007},
  booksubtitle = {IJCAI},
  publisher    = {Morgan Kaufmann Publishers Inc.},
  location     = {Hyderabad, India},
  pages        = {2318--2323},
  url          = {http://dl.acm.org/citation.cfm?id=1625275.1625649},
  acmid        = {1625649},
  address      = {San Francisco, CA, USA},
  numpages     = {6},
}

@InProceedings{Huang2014,
  author       = {Zongyan Huang and Matthew England and David Wilson and James H. Davenport and Lawrence C. Paulson and James Bridge},
  title        = {Applying Machine Learning to the Problem of Choosing a Heuristic to Select the Variable Ordering for Cylindrical Algebraic Decomposition},
  booktitle    = {Intelligent Computer Mathematics},
  year         = {2014},
  editor       = {Watt, Stephen M. and Davenport, James H. and Sexton, Alan P. and Sojka, Petr and Urban, Josef},
  booksubtitle = {CICM},
  publisher    = {Springer International Publishing},
  isbn         = {978-3-319-08434-3},
  pages        = {92--107},
  doi          = {10.1007/978-3-319-08434-3_8},
}

@Article{IEEE754,
  author       = {IEEE},
  title        = {IEEE Standard for Floating-Point Arithmetic},
  journaltitle = {IEEE Std 754-2008},
  year         = {2008},
  pages        = {1-70},
  doi          = {10.1109/IEEESTD.2008.4610935},
}

@PhdThesis{Irfan2018,
  author      = {Ahmed Irfan},
  title       = {Incremental Linearization for Satisfiability and Verification Modulo Nonlinear Arithmetic and Transcendental Functions},
  institution = {University of Trento},
  year        = {2018},
  url         = {http://eprints-phd.biblio.unitn.it/2952/},
  school      = {University of Trento},
}

@Book{Isidori1995,
  author    = {Alberto Isidori},
  title     = {Nonlinear Control Systems},
  year      = {1995},
  publisher = {Springer},
  doi       = {10.1007/978-1-84628-615-5},
}

@InProceedings{Iwane2009,
  author       = {Hidenao Iwane and Hitoshi Yanami and Hirokazu Anai and Kazuhiro Yokoyama},
  title        = {An Effective Implementation of a Symbolic-Numeric Cylindrical Algebraic Decomposition for Quantifier Elimination},
  booktitle    = {Symbolic Numeric Computation},
  year         = {2009},
  booksubtitle = {SNC},
  publisher    = {ACM},
  isbn         = {978-1-60558-664-9},
  pages        = {55--64},
  doi          = {10.1145/1577190.1577203},
  acmid        = {1577203},
  numpages     = {10},
}

@InProceedings{Jaroschek2015,
  author        = {Maximilian Jaroschek and Pablo Federico Dobal and Pascal Fontaine},
  title         = {Adapting Real Quantifier Elimination Methods for Conflict Set Computation},
  booktitle     = {Frontiers of Combining Systems},
  year          = {2015},
  editor        = {Carsten Lutz and Silvio Ranise},
  booksubtitle  = {FroCoS},
  volume        = {9322},
  series        = LNCS,
  pages         = {151--166},
  doi           = {10.1007/978-3-319-24246-0_10},
  eprint        = {1511.01123},
  archiveprefix = {arXiv},
  bibsource     = {dblp computer science bibliography, https://dblp.org},
  biburl        = {https://dblp.org/rec/bib/journals/corr/JaroschekDF15},
  file          = {:Jaroschek2015 - Adapting Real Quantifier Elimination Methods for Conflict Set Computation.pdf:PDF},
  journal       = {CoRR},
}

@Article{Jeroslow1990,
  author       = {Robert G. Jeroslow and Jinchang Wang},
  title        = {Solving Propositional Satisfiability Problems},
  journaltitle = {Annals of Mathematics and Artificial Intelligence},
  year         = {1990},
  volume       = {1},
  issue        = {1--4},
  pages        = {167--187},
  issn         = {1573-7470},
  doi          = {10.1007/bf01531077},
  file         = {:Jeroslow1990 - Solving Propositional Satisfiability Problems.pdf:PDF},
}

@InProceedings{Jovanovic2012,
  author       = {Dejan Jovanovi{\'c} and Leonardo de Moura},
  title        = {Solving Non-linear Arithmetic},
  booktitle    = {Automated Reasoning},
  year         = {2012},
  booksubtitle = {IJCAR},
  volume       = {7364},
  series       = LNCS,
  pages        = {339--354},
  doi          = {10.1007/978-3-642-31365-3_27},
  file         = {:Jovanovic2012 - Solving Non Linear Arithmetic.pdf:PDF},
}

@InProceedings{Jovanovic2013,
  author       = {Dejan Jovanovi{\'c} and Clark Barrett and Leonardo de Moura},
  title        = {The Design and Implementation of the Model Constructing Satisfiability Calculus},
  booktitle    = {Formal Methods in Computer-Aided Design},
  year         = {2013},
  booksubtitle = {FMCAD},
  publisher    = {IEEE},
  isbn         = {978-0-9835678-3-7},
  pages        = {173--180},
  doi          = {10.1109/FMCAD.2013.7027033},
  file         = {:Jovanovic2013 - The Design and Implementation of the Model Constructing Satisfiability Calculus.pdf:PDF},
}

@InProceedings{Jovanovic2017,
  author       = {Dejan Jovanovic and Bruno Dutertre},
  title        = {LibPoly: A Library for Reasoning about Polynomials},
  booktitle    = {Satisfiability Modulo Theories},
  year         = {2017},
  booksubtitle = {SMT},
  eventtitle   = {CAV},
  volume       = {1889},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  url          = {http://ceur-ws.org/Vol-1889/paper3.pdf},
}

@InProceedings{Jovanovic2017a,
  author       = {Dejan Jovanovi{\'{c}}},
  title        = {Solving Nonlinear Integer Arithmetic with MCSAT},
  booktitle    = {Verification, Model Checking, and Abstract Interpretation},
  year         = {2017},
  editor       = {Bouajjani, Ahmed and Monniaux, David},
  booksubtitle = {VMCAI},
  volume       = {10145},
  series       = LNCS,
  publisher    = {Springer International Publishing},
  isbn         = {978-3-319-52234-0},
  pages        = {330--346},
  doi          = {10.1007/978-3-319-52234-0_18},
  address      = {Cham},
}

@Thesis{Junges2012,
  author      = {Sebastian Junges},
  title       = {On Gröbner Bases in SMT-Compliant Decision Procedures},
  type        = bathesis,
  institution = RWTH,
  year        = {2012},
}

@InProceedings{Karp1972,
  author    = {Richard M. Karp},
  title     = {Reducibility Among Combinatorial Problems},
  booktitle = {Complexity of Computer Computations},
  year      = {1972},
  editor    = {Raymond E. Miller and James W. Thatcher},
  publisher = {Plenum Press, New York},
  pages     = {85--103},
  doi       = {10.1007/978-1-4684-2001-2_9},
  file      = {:Karp1972 - Reducibility among Combinatorial Problems.pdf:PDF},
}

@Thesis{Korp2017,
  author      = {Leonard Korp},
  title       = {SMT-based Planning for Autonomous Robot Fleets},
  type        = bathesis,
  institution = RWTH,
  year        = {2017},
  school      = RWTH,
}

@Article{Kosta2015,
  author        = {Marek Ko\v{s}ta and Thomas Sturm},
  title         = {A Generalized Framework for Virtual Substitution},
  journaltitle  = {arXiv e-prints},
  year          = {2015},
  eprint        = {1501.05826},
  archiveprefix = {arXiv},
}

@PhdThesis{Kosta2016,
  author    = {Marek Ko\v{s}ta},
  title     = {New Concepts for Real Quantifier Elimination by Virtual Substitution},
  year      = {2016},
  doi       = {10.22028/D291-26679},
  bibsource = {dblp computer science bibliography, https://dblp.org},
  biburl    = {https://dblp.org/rec/bib/phd/dnb/Kosta16},
  school    = {Saar\-land University, Saar\-br{\"{u}}c\-ken, Germany},
  urn       = {urn:nbn:de:bsz:291-scidok-67162},
}

@Thesis{Kremer2013,
  author      = {Gereon Kremer},
  title       = {Isolating Real Roots Using Adaptable-Precision Interval Arithmetic},
  type        = mathesis,
  institution = RWTH,
  year        = {2013},
}

@InProceedings{Kremer2016,
  author       = {Gereon Kremer and Florian Corzilius and Erika Ábrahám},
  title        = {A Generalised Branch-and-Bound Approach and Its Application in SAT Modulo Nonlinear Integer Arithmetic},
  booktitle    = {Computer Algebra in Scientific Computing},
  year         = {2016},
  booksubtitle = {CASC},
  volume       = {9890},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {315--335},
  doi          = {10.1007/978-3-319-45641-6_21},
  file         = {:Kremer2016 - A Generalised Branch and Bound Approach and Its Application in SAT Modulo Nonlinear Integer Arithmetic.pdf:PDF},
}

@Article{Kremer2018a,
  author       = {Gereon Kremer and Erika Ábrahám},
  title        = {Modular strategic SMT solving with SMT-RAT},
  journaltitle = {Acta Universitatis Sapientiae, Informatica},
  year         = {2018},
  volume       = {10},
  issue        = {1},
  pages        = {5--25},
  doi          = {10.2478/ausi-2018-0001},
  shortjournal = {AUSI},
}

@InProceedings{Kremer2018b,
  author       = {Gereon Kremer},
  title        = {Computer Algebra and Computer Science},
  booktitle    = {Applications of Computer Algebra},
  year         = {2018},
  booksubtitle = {ACA},
  note         = {Abstract},
  pages        = {27},
  doi          = {10.15304/9788416954872},
}

@InProceedings{Kremer2019,
  author       = {Gereon Kremer and Erika Ábrahám and Vijay Ganesh},
  title        = {On the Proof Complexity of MCSAT},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2019},
  booksubtitle = {SC$^2$},
  eventtitle   = {SIAM AG},
  volume       = {2460},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  url          = {http://ceur-ws.org/Vol-2460/paper3.pdf},
}

@Article{Kremer2020,
  author       = {Gereon Kremer and Erika Ábrahám},
  title        = {Fully Incremental Cylindrical Algebraic Decomposition},
  journaltitle = JSC,
  year         = {2020},
  volume       = {100},
  pages        = {11--37},
  doi          = {10.1016/j.jsc.2019.07.018},
  shortjournal = {JSC},
}

@Book{Kroening2008,
  author    = {Daniel Kroening and Ofer Strichman},
  title     = {Decision Procedures},
  year      = {2008},
  subtitle  = {An Algorithmic Point of View},
  publisher = {Springer},
  doi       = {10.1007/978-3-540-74105-3},
}

@Thesis{Krueger2015,
  author      = {Andreas Krüger},
  title       = {Bitvectors in SMT-RAT and Their Application To Integer Arithmetics},
  type        = mathesis,
  institution = RWTH,
  year        = {2015},
}

@Thesis{Kuksaus2019,
  author      = {Denis Kuksaus},
  title       = {SMT-basierte Lösung reell-algebraischer Probleme mittels Linearisierung},
  type        = bathesis,
  institution = RWTH,
  year        = {2019},
  school      = RWTH,
}

@Book{Lagrange1808,
  author    = {Joseph-Louis Lagrange},
  title     = {Traité de la résolution des équations numériques},
  year      = {1808},
  publisher = {Courcier},
  url       = {https://gallica.bnf.fr/ark:/12148/bpt6k1042793z},
}

@InBook{Lazard1994,
  author    = {Daniel Lazard},
  title     = {An Improved Projection for Cylindrical Algebraic Decomposition},
  booktitle = {Algebraic Geometry and its Applications},
  year      = {1994},
  editor    = {Chandrajit L. Bajaj},
  publisher = {Springer},
  chapter   = {29},
  pages     = {467--476},
  doi       = {10.1007/978-1-4612-2628-4_29},
}

@InProceedings{Liang2015,
  author       = {Jia Hui Liang and Vijay Ganesh and Ed Zulkoski and Atulan Zaman and Krzysztof Czarnecki},
  title        = {Understanding VSIDS Branching Heuristics in Conflict-Driven Clause-Learning SAT Solvers},
  booktitle    = {Hardware and Software: Verification and Testing},
  year         = {2015},
  booksubtitle = {HVC},
  volume       = {9434},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {225--241},
  doi          = {10.1007/978-3-319-26287-1_14},
  file         = {:Liang2015 - Understanding VSIDS Branching Heuristics In Conflict Driven Clause Learning SAT Solvers.pdf:PDF},
  journaltitle = {Hardware and Software: Verification and Testing},
}

@InProceedings{Liang2016,
  author       = {Jia Hui Liang and Vijay Ganesh and Pascal Poupart and Krzysztof Czarnecki},
  title        = {Learning Rate Based Branching Heuristic for SAT Solvers},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2016},
  booksubtitle = {SAT},
  volume       = {9710},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {123--140},
  doi          = {10.1007/978-3-319-40970-2_9},
  file         = {:Liang2016 - Learning Rate Based Branching Heuristic for SAT Solvers.pdf:PDF},
  journaltitle = {Theory and Applications of Satisfiability Testing},
}

@Thesis{Loesbrock2018,
  author      = {Christopher Lösbrock},
  title       = {Implementing an Incremental Solver for Difference Logic},
  type        = bathesis,
  institution = RWTH,
  year        = {2018},
  school      = RWTH,
}

@Article{Loos1993,
  author       = {Rüdiger Loos and Volker Weispfenning},
  title        = {Applying Linear Quantifier Elimination},
  journaltitle = {The Computer Journal},
  year         = {1993},
  volume       = {36},
  issue        = {5},
  doi          = {10.1093/comjnl/36.5.450},
  abstract     = {The linear quantifier elimination algorithm for ordered fields in [15] is applicable to a wide range of...},
}

@Thesis{Lotze2018,
  author      = {Henri Lotze},
  title       = {Automated Optimization in Production Planning},
  type        = mathesis,
  institution = RWTH,
  year        = {2018},
}

@InProceedings{Loup2011,
  author       = {Ulrich Loup and Erika Ábrahám},
  title        = {GiNaCRA: A C++ Library for Real Algebraic Computations},
  booktitle    = {NASA Formal Methods},
  year         = {2011},
  booksubtitle = {NFM},
  volume       = {6617},
  series       = LNCS,
  publisher    = {Springer},
  isbn         = {978-3-642-20397-8},
  doi          = {10.1007/978-3-642-20398-5_41},
}

@InProceedings{Loup2013,
  author       = {Ulrich Loup and Karsten Scheibler and Florian Corzilius and Erika Ábrahám and Bernd Becker},
  title        = {A Symbiosis of Interval Constraint Propagation and Cylindrical Algebraic Decomposition},
  booktitle    = {Automated Deduction},
  year         = {2013},
  booksubtitle = {CADE-24},
  volume       = {7898},
  series       = LNCS,
  pages        = {193--207},
  doi          = {10.1007/978-3-642-38574-2_13},
}

@Thesis{Loup2018,
  author      = {Ulrich Loup},
  title       = {On Solving Real-algebraic Formulas in a Satisfiability-modulo-theories Framework},
  type        = {phdthesis},
  institution = {RWTH Aachen University},
  year        = {2018},
  doi         = {10.18154/RWTH-2018-231963},
}

@Article{Mahboubi2007,
  author       = {Assia Mahboubi},
  title        = {Implementing the cylindrical algebraic decomposition within the Coq system},
  journaltitle = {Mathematical Structures in Computer Science},
  year         = {2007},
  volume       = {17},
  issue        = {1},
  pages        = {99--127},
  doi          = {10.1017/S096012950600586X},
  publisher    = {Cambridge University Press},
}

@PhdThesis{McCallum1984,
  author      = {Scott McCallum},
  title       = {An Improved Projection Operation for Cylindrical Algebraic Decomposition},
  institution = {University of Wisconsin-Madison},
  year        = {1984},
  url         = {https://research.cs.wisc.edu/techreports/1985/TR578.pdf},
  file        = {:McCallum1984 - An Improved Projection Operation for Cylindrical Algebraic Decomposition.pdf:PDF},
}

@InProceedings{McCallum1985,
  author       = {Scott McCallum},
  title        = {An Improved Projection Operation for Cylindrical Algebraic Decomposition},
  booktitle    = {European Conference on Computer Algebra},
  year         = {1985},
  editor       = {Caviness, Bob F.},
  booksubtitle = {EUROCAL},
  volume       = {204},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-39685-7},
  pages        = {277--278},
  doi          = {10.1007/3-540-15984-3_277},
  address      = {Berlin, Heidelberg},
}

@Article{McCallum1988,
  author       = {Scott McCallum},
  title        = {An Improved Projection Operation for Cylindrical Algebraic Decomposition of Three-dimensional Space},
  journaltitle = JSC,
  year         = {1988},
  volume       = {5},
  issue        = {1--2},
  pages        = {141--161},
  doi          = {10.1016/S0747-7171(88)80010-5},
  file         = {:McCallum1988 - An Improved Projection Operation for Cylindrical Algebraic Decomposition of Three Dimensional Space.pdf:PDF},
  publisher    = {Elsevier},
}

@Article{McCallum1993,
  author       = {Scott McCallum},
  title        = {Solving Polynomial Strict Inequalities Using Cylindrical Algebraic Decomposition},
  journaltitle = {The Computer Journal},
  year         = {1993},
  volume       = {36},
  issue        = {5},
  pages        = {432--438},
  issn         = {0010-4620},
  doi          = {10.1093/comjnl/36.5.432},
}

@InProceedings{McCallum1999,
  author       = {Scott McCallum},
  title        = {On Projection in {CAD}-based Quantifier Elimination with Equational Constraint},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {1999},
  booksubtitle = {ISSAC},
  pages        = {145--149},
  doi          = {10.1145/309831.309892},
  file         = {:McCallum1999 - On Projection in CAD Based Quantifier Elimination with Equational Constraint.pdf:PDF},
  numpages     = {5},
}

@InProceedings{McCallum2001,
  author       = {Scott McCallum},
  title        = {On Propagation of Equational Constraints in {CAD}-based Quantifier Elimination},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2001},
  booksubtitle = {ISSAC},
  pages        = {223--231},
  doi          = {10.1145/384101.384132},
  numpages     = {9},
}

@Article{McCallum2016,
  author       = {Scott McCallum and Hoon Hong},
  title        = {On using Lazard's projection in CAD construction},
  journaltitle = JSC,
  year         = {2016},
  volume       = {72},
  pages        = {65--81},
  issn         = {0747-7171},
  doi          = {10.1016/j.jsc.2015.02.001},
  file         = {:McCallum2016 - On Using Lazard's Projection in CAD Construction.pdf:PDF},
}

@Article{McCallum2019,
  author       = {Scott McCallum and Adam Parusiński and Laurentiu Paunescu},
  title        = {Validity proof of Lazard's method for CAD construction},
  journaltitle = JSC,
  year         = {2019},
  volume       = {92},
  pages        = {52--69},
  issn         = {0747-7171},
  doi          = {10.1016/j.jsc.2017.12.002},
}

@Article{McCluskey1956,
  author       = {Edward J. McCluskey},
  title        = {Minimization of Boolean functions},
  journaltitle = {The Bell System Technical Journal},
  year         = {1956},
  volume       = {35},
  issue        = {6},
  doi          = {10.1002/j.1538-7305.1956.tb03835.x},
}

@Unpublished{Mignotte2002,
  author = {Maurice Mignotte and Doru Stefanescu},
  title  = {On an estimation of polynomial roots by {L}agrange},
  year   = {2002},
  url    = {https://hal.archives-ouvertes.fr/hal-00129675},
  type   = {resreport},
}

@InProceedings{Monagan2014,
  author    = {Michael Monagan and Roman Pearce},
  title     = {POLY: A New Polynomial Data Structure for Maple 17},
  booktitle = {Computer Mathematics},
  year      = {2014},
  editor    = {Feng, Ruyong and Lee, Wen-shin and Sato, Yosuke},
  publisher = {Springer Berlin Heidelberg},
  isbn      = {978-3-662-43799-5},
  pages     = {325--348},
  doi       = {10.1007/978-3-662-43799-5_24},
  address   = {Berlin, Heidelberg},
}

@Book{Moore2009,
  author    = {Ramon E. Moore and R. Baker Kearfott and Michael J. Cloud},
  title     = {Introduction to Interval Analysis},
  year      = {2009},
  publisher = {SIAM},
  doi       = {10.1137/1.9780898717716},
}

@InProceedings{Moskewicz2001,
  author       = {Matthew W. Moskewicz and Conor F. Madigan and Ying Zhao and Lintao Zhang and Sharad Malik},
  title        = {Chaff: Engineering an Efficient {SAT} Solver},
  booktitle    = {Design Automation Conference},
  year         = {2001},
  booksubtitle = {DAC},
  publisher    = {ACM},
  isbn         = {1-58113-297-2},
  pages        = {530--535},
  doi          = {10.1145/378239.379017},
  acmid        = {379017},
  file         = {:Moskewicz2001 - Chaff_ Engineering an Efficient SAT Solver.pdf:PDF},
  numpages     = {6},
}

@PhdThesis{Motzkin1936,
  author      = {Theodor Samuel Motzkin},
  title       = {Beiträge zur Theorie der Linearen Ungleichungen},
  institution = {Universität Basel},
  year        = {1936},
  bibsource   = {dblp computer science bibliography, https://dblp.org},
  biburl      = {https://dblp.org/rec/bib/phd/dnb/Kosta16},
  school      = {Saar\-land University, Saar\-br{\"{u}}c\-ken, Germany},
  urn         = {urn:nbn:de:bsz:291-scidok-67162},
}

@InProceedings{Moura2002,
  author       = {Leonardo de Moura and Harald Rue{\ss}},
  title        = {Lemmas on Demand for Satisfiability Solvers},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2002},
  booksubtitle = {SAT},
  url          = {https://leodemoura.github.io/files/sat02.pdf},
  file         = {:Moura2002 - Lemmas on Demand for Satisfiability Solvers.pdf:PDF},
  journaltitle = {Proceedings of the Fifth International Symposium on the Theory and Applications of Satisfiability Testing (SAT 2002)},
}

@InProceedings{Moura2008,
  author       = {Leonardo de Moura and Nikolaj Bj{\o}rner},
  title        = {{Z3:} An Efficient {SMT} Solver},
  booktitle    = {Tools and Algorithms for the Construction and Analysis of Systems},
  year         = {2008},
  editor       = {C. R. Ramakrishnan and Jakob Rehof},
  booksubtitle = {TACAS},
  volume       = {4963},
  series       = LNCS,
  publisher    = {Springer},
  pages        = {337--340},
  doi          = {10.1007/978-3-540-78800-3_24},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/conf/tacas/MouraB08},
  file         = {:Moura2008 - Z3_ an Efficient SMT Solver.pdf:PDF},
}

@Article{Moura2008a,
  author        = {Leonardo de Moura and Nikolaj Bjørner},
  title         = {Model-based Theory Combination},
  journaltitle  = {Electronic Notes in Theoretical Computer Science},
  year          = {2008},
  volume        = {198},
  issue         = {2},
  pages         = {37--49},
  issn          = {1571-0661},
  doi           = {10.1016/j.entcs.2008.04.079},
  __markedentry = {[gereon:6]},
  keywords      = {Theory Combination, Decision Procedures, SMT},
}

@InProceedings{Moura2008b,
  author       = {Leonardo de Moura and Nikolaj Bj{\o}rner},
  title        = {Proofs and Refutations, and Z3},
  booktitle    = {Logic for Programming, Artificial Intelligence and Reasoning},
  year         = {2008},
  booksubtitle = {LPAR Workshops},
  volume       = {418},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  pages        = {123--132},
  url          = {http://ceur-ws.org/Vol-418/paper10.pdf},
}

@InProceedings{Moura2013,
  author       = {Leonardo de Moura and Dejan Jovanović},
  title        = {A Model-Constructing Satisfiability Calculus},
  booktitle    = {Verification, Model Checking, and Abstract Interpretation},
  year         = {2013},
  editor       = {Roberto Giacobazzi and Josh Berdine and Isabella Mastroeni},
  booksubtitle = {VMCAI},
  volume       = {7737},
  series       = LNCS,
  pages        = {1--12},
  doi          = {10.1007/978-3-642-35873-9_1},
  file         = {:Moura2013 - A Model Constructing Satisfiability Calculus.pdf:PDF},
  issn         = {0302-9743},
}

@InProceedings{Moura2013a,
  author       = {Leonardo de Moura and Grant Olney Passmore},
  title        = {Computation in Real Closed Infinitesimal and Transcendental Extensions of the Rationals},
  booktitle    = {Automated Deduction},
  year         = {2013},
  booksubtitle = {CADE-24},
  volume       = {7898},
  series       = LNCS,
  pages        = {178--192},
  doi          = {10.1007/978-3-642-38574-2_12},
}

@Book{Mueller1978,
  author    = {Franz Müller},
  title     = {Ein exakter Algorithmus zur nichtlinearen Optimierung für beliebige Polynome mit mehreren Veränderlichen},
  year      = {1978},
  publisher = {Hain},
}

@InProceedings{Nair2019,
  author       = {Akshar Nair and James Davenport and Gregory Sankaran},
  title        = {On Benefits of Equality Constraints in Lex-Least Invariant CAD},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2019},
  booksubtitle = {SC$^2$},
  eventtitle   = {SIAM AG},
  volume       = {2460},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  url          = {http://ceur-ws.org/Vol-2460/paper6.pdf},
}

@Thesis{Nalbach2017,
  author      = {Jasper Nalbach},
  title       = {Embedding the Virtual Substitution in the MCSAT Framework},
  type        = bathesis,
  institution = RWTH,
  year        = {2017},
  file        = {:Nalbach2017 - Embedding the Virtual Substitution in the MCSAT Framework.pdf:PDF},
}

@InProceedings{Nalbach2019,
  author       = {Jasper Nalbach and Gereon Kremer and Erika Ábrahám},
  title        = {On Variable Orderings in MCSAT for Non-linear Real Arithmetic (extended abstract)},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2019},
  booksubtitle = {SC$^2$},
  eventtitle   = {SIAM AG},
  volume       = {2460},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  url          = {http://ceur-ws.org/Vol-2460/paper5.pdf},
}

@Thesis{Nalbach2020,
  author      = {Jasper Nalbach},
  title       = {A novel adaption of the Simplex algorithm for linear real arithetic},
  type        = mathesis,
  institution = RWTH,
  year        = {2020},
}

@Article{Nelson1979,
  author        = {Greg Nelson and Derek C. Oppen},
  title         = {Simplification by Cooperating Decision Procedures},
  journaltitle  = {ACM Transactions on Programming Languages and Systems},
  year          = {1979},
  volume        = {1},
  issue         = {2},
  pages         = {245--257},
  issn          = {0164-0925},
  doi           = {10.1145/357073.357079},
  __markedentry = {[gereon:]},
  acmid         = {357079},
  numpages      = {13},
  publisher     = {ACM},
}

@Article{Nelson1980,
  author    = {Greg Nelson and Derek C. Oppen},
  title     = {Fast Decision Procedures Based on Congruence Closure},
  journal   = {Journal of the ACM},
  year      = {1980},
  volume    = {27},
  number    = {2},
  pages     = {356--364},
  doi       = {10.1145/322186.322198},
  publisher = {ACM},
}

@Thesis{Neuberger2015,
  author      = {Lukas Neuberger},
  title       = {Generation of Infeasible Subsets in Less-Lazy SMT-Solving for the Theory of Uninterpreted Functions},
  type        = bathesis,
  institution = RWTH,
  year        = {2015},
  school      = RWTH,
}

@Thesis{Neuhaeuser2018,
  author      = {Tom Neuhäuser},
  title       = {Quantifier Elimination by Cylindrical Algebraic Decomposition},
  type        = bathesis,
  institution = RWTH,
  year        = {2018},
  school      = RWTH,
}

@Thesis{Neuss2018,
  author      = {Malte Neuß},
  title       = {Using Single CAD Cells as Explanations in MCSAT-style SMT Solving},
  type        = mathesis,
  institution = RWTH,
  year        = {2018},
}

@Article{Nieuwenhuis2006,
  author       = {Robert Nieuwenhuis and Albert Oliveras and Cesare Tinelli},
  title        = {Solving {SAT} and {SAT} Modulo Theories: From an Abstract Davis--Putnam--Logemann--Loveland Procedure to DPLL(\emph{T})},
  journaltitle = JACM,
  year         = {2006},
  volume       = {53},
  issue        = {6},
  pages        = {937--977},
  doi          = {10.1145/1217856.1217859},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/journals/jacm/NieuwenhuisOT06},
  file         = {:Nieuwenhuis2006 - Solving SAT and SAT Modulo Theories_ from an Abstract Davis Putnam Logemann Loveland Procedure to DPLL(T).pdf:PDF},
}

@InProceedings{Pnueli1999,
  author       = {Amir Pnueli and Yoav Rodeh and Ofer Shtrichman and Michael Siegel},
  title        = {Deciding Equality Formulas by Small Domains Instantiations},
  booktitle    = {Computer Aided Verification},
  year         = {1999},
  editor       = {Halbwachs, Nicolas and Peled, Doron},
  booksubtitle = {CAV},
  volume       = {1633},
  series       = LNCS,
  publisher    = {Springer Berlin Heidelberg},
  isbn         = {978-3-540-48683-1},
  pages        = {455--469},
  doi          = {10.1007/3-540-48683-6_39},
  address      = {Berlin, Heidelberg},
}

@InProceedings{Presburger1930,
  author    = {Moj\.zesz Presburger},
  title     = {Über die Vollständigkeit eines gewissen Systems der Arithmetik ganzer Zahlen, in welchen die Addition als einzige Operation hervortritt},
  booktitle = {Sprawozdanie z I Kongresu Matematik\'ow Kraj\'ow S{\l}owia\'nskich (Comptes-rendus du I$^{er}$ Congr\`es des Math\'ematiciens des Pays Slaves)},
  year      = {1930},
  venue     = {Warszawa 1929},
  pages     = {pp. 92--101 and 395},
}

@InProceedings{Renegar1988,
  author       = {James Renegar},
  title        = {A Faster PSPACE Algorithm for Deciding the Existential Theory of the Reals},
  booktitle    = {Symposium on Foundations of Computer Science},
  year         = {1988},
  booksubtitle = {SFCS},
  pages        = {291--295},
  doi          = {10.1109/SFCS.1988.21945},
}

@InProceedings{Robere2018,
  author       = {Robert Robere and Antonina Kolokolova and Vijay Ganesh},
  title        = {The Proof Complexity of SMT Solvers},
  booktitle    = {Computer Aided Verification},
  year         = {2018},
  editor       = {Hana Chockler and Georg Weissenbacher},
  booksubtitle = {CAV},
  volume       = {10982},
  series       = LNCS,
  pages        = {275--293},
  doi          = {10.1007/978-3-319-96142-2_18},
  file         = {:Robere2018 - The Proof Complexity of SMT Solvers.pdf:PDF},
  issn         = {0302-9743},
}

@Article{Rosser1936,
  author       = {J. Barkley Rosser},
  title        = {Extensions of some Theorems of Gödel and Church},
  journaltitle = {The Journal of Symbolic Logic},
  year         = {1936},
  volume       = {1},
  number       = {3},
  pages        = {87--91},
  doi          = {10.2307/2269028},
  publisher    = {Cambridge University Press},
}

@InProceedings{Ruemmer2010,
  author       = {Philipp Rümmer and Thomas Wahl},
  title        = {An SMT-LIB Theory of Binary Floating-Point Arithmetic},
  booktitle    = {Satisfiability Modulo Theories},
  year         = {2010},
  booksubtitle = {SMT},
  eventtitle   = {FLoC},
  url          = {http://www.philipp.ruemmer.org/publications/smt-fpa.pdf},
}

@InProceedings{SafeyElDin2018,
  author       = {Mohab {Safey El Din} and Zhi-Hong Yang and Lihong Zhi},
  title        = {On the Complexity of Computing Real Radicals of Polynomial Systems},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2018},
  booksubtitle = {ISSAC},
  pages        = {351--358},
  doi          = {10.1145/3208976.3209002},
  numpages     = {8},
}

@InProceedings{Sagraloff2012,
  author       = {Michael Sagraloff},
  title        = {When Newton Meets Descartes: A Simple and Fast Algorithm to Isolate the Real Roots of a Polynomial},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2012},
  booksubtitle = {ISSAC},
  pages        = {297--304},
  doi          = {10.1145/2442829.2442872},
}

@Thesis{Sali2018,
  author      = {Ömer Sali},
  title       = {Linearization Techniques for Nonlinear Arithmetic Problems in SMT},
  type        = mathesis,
  institution = RWTH,
  year        = {2018},
}

@InProceedings{Scheibler2013,
  author       = {Karsten Scheibler and Stefan Kupferschmid and Bernd Becker},
  title        = {Recent Improvements in the SMT Solver iSAT},
  booktitle    = {Methoden und Beschreibungssprachen zur Modellierung und Verifikation von Schaltungen und Systemen},
  year         = {2013},
  booksubtitle = {MBMV},
  volume       = {13},
  pages        = {231--241},
}

@Thesis{Schupp2013,
  author      = {Stefan Schupp},
  title       = {Interval Constraint Propagation in SMT Compliant Decision Procedures},
  type        = mathesis,
  institution = RWTH,
  year        = {2013},
}

@Article{Sebastiani2015a,
  author       = {Roberto Sebastiani and Silvia Tomasi},
  title        = {Optimization Modulo Theories with Linear Rational Costs},
  journaltitle = TOCL,
  year         = {2015},
  volume       = {16},
  issue        = {2},
  pages        = {12:1--12:43},
  issn         = {1529-3785},
  doi          = {10.1145/2699915},
  acmid        = {2699915},
  address      = {New York, NY, USA},
  articleno    = {12},
  issue_date   = {March 2015},
  keywords     = {Satisfiability modulo theories, automated reasoning, optimization},
  numpages     = {43},
  publisher    = {ACM},
}

@InProceedings{Sebastiani2015b,
  author       = {Roberto Sebastiani and Patrick Trentin},
  title        = {OptiMathSAT: A Tool for Optimization Modulo Theories},
  booktitle    = {Computer Aided Verification},
  year         = {2015},
  editor       = {Kroening, Daniel and P{\u{a}}s{\u{a}}reanu, Corina S.},
  booksubtitle = {CAV},
  volume       = {9206},
  series       = LNCS,
  publisher    = {Springer International Publishing},
  isbn         = {978-3-319-21690-4},
  pages        = {447--454},
  doi          = {10.1007/978-3-319-21690-4_27},
  address      = {Cham},
}

@Article{Seidenberg1954,
  author       = {Abraham Seidenberg},
  title        = {A New Decision Method for Elementary Algebra},
  journaltitle = {Annals of Mathematics, Second Series},
  year         = {1954},
  volume       = {60},
  number       = {2},
  pages        = {365--374},
  doi          = {10.2307/1969640},
  publisher    = {Annals of Mathematics},
}

@InProceedings{Seidl2003,
  author       = {Andreas Seidl and Thomas Sturm},
  title        = {A Generic Projection Operator for Partial Cylindrical Algebraic Decomposition},
  booktitle    = {International Symposium on Symbolic and Algebraic Computation},
  year         = {2003},
  booksubtitle = {ISSAC},
  publisher    = {ACM},
  isbn         = {1-58113-641-2},
  pages        = {240--247},
  doi          = {10.1145/860854.860903},
  acmid        = {860903},
  address      = {New York, NY, USA},
  file         = {:Seidl2003 - A Generic Projection Operator for Partial Cylindrical Algebraic Decomposition.pdf:PDF},
  numpages     = {8},
}

@Article{Shostak1979,
  author       = {Robert E. Shostak},
  title        = {A Practical Decision Procedure for Arithmetic with Function Symbols},
  journaltitle = {Journal of the ACM},
  year         = {1979},
  volume       = {26},
  issue        = {2},
  pages        = {351--360},
  issn         = {0004-5411},
  doi          = {10.1145/322123.322137},
  acmid        = {322137},
  address      = {New York, NY, USA},
  issue_date   = {April 1979},
  numpages     = {10},
  publisher    = {ACM},
}

@InProceedings{Silva1996,
  author       = {Jo\~{a}o P. Marques Silva and Karem A. Sakallah},
  title        = {GRASP: a New Search Algorithm for Satisfiability},
  booktitle    = {IEEE/ACM International Conference on Computer-aided Design},
  year         = {1996},
  booksubtitle = {ICCAD},
  publisher    = {IEEE Computer Society},
  isbn         = {0-8186-7597-7},
  pages        = {220--227},
  doi          = {10.1109/ICCAD.1996.569607},
  acmid        = {244560},
  address      = {Washington, DC, USA},
  file         = {:Silva1996 - GRASP_ a New Search Algorithm for Satisfiability.pdf:PDF},
  numpages     = {8},
}

@Misc{SMTRAT,
  author = {Gereon Kremer and others},
  title  = {Satisfiability-Modulo-Theories Real Algebra Toolbox (SMT-RAT)},
  year   = {2020},
  url    = {https://github.com/smtrat/smtrat},
}

@TechReport{Stansifer1984,
  author      = {Ryan Stansifer},
  title       = {Presburger's Article on Integer Arithmetic: Remarks and Translation},
  institution = {Cornell University},
  year        = {1984},
  url         = {https://hdl.handle.net/1813/6478},
}

@InProceedings{Strichman2002,
  author       = {Ofer Strichman and Sanjit A. Seshia and Randal E. Bryant},
  title        = {Deciding Separation Formulas with SAT},
  booktitle    = {Computer Aided Verification},
  year         = {2002},
  booksubtitle = {CAV},
  volume       = {2404},
  series       = LNCS,
  publisher    = {Springer},
  isbn         = {978-3-540-43997-4},
  pages        = {209--222},
  doi          = {10.1007/3-540-45657-0_16},
  file         = {:Strichman2002 - Deciding Separation Formulas with SAT.pdf:PDF},
}

@Article{Strzebonski2000,
  author       = {Adam W. Strzebo\'{n}ski},
  title        = {Solving Systems of Strict Polynomial Inequalities},
  journaltitle = JSC,
  year         = {2000},
  volume       = {29},
  issue        = {3},
  pages        = {471--480},
  doi          = {10.1006/jsco.1999.0327},
  bibsource    = {dblp computer science bibliography, https://dblp.org},
  biburl       = {https://dblp.org/rec/bib/journals/jsc/Strzeboski00},
}

@InProceedings{Strzebonski2014,
  author       = {Adam W. Strzebo\'{n}ski},
  title        = {Cylindrical Algebraic Decomposition Using Local Projections},
  booktitle    = {39th International Symposium on Symbolic and Algebraic Computation},
  year         = {2014},
  booksubtitle = {ISSAC},
  publisher    = {ACM},
  isbn         = {978-1-4503-2501-1},
  pages        = {389--396},
  doi          = {10.1145/2608628.2608633},
  acmid        = {2608633},
  address      = {New York, NY, USA},
  file         = {:Strzebonski2014 - Cylindrical Algebraic Decomposition Using Local Projections.pdf:PDF},
  numpages     = {8},
}

@InCollection{Sturm1829,
  author    = {Jacques C. F. Sturm},
  title     = {Analyse d'un Mémoire sur la résolution des équations numériques},
  booktitle = {Bulletin de Férussac},
  year      = {1829},
  volume    = {XI},
  edition   = {271},
  pages     = {419--422},
  doi       = {10.1007/978-3-7643-7990-2_24},
}

@TechReport{Tarski1951,
  author      = {Alfred Tarski},
  title       = {A Decision Method for Elementary Algebra and Geometry},
  institution = {RAND Corporation},
  year        = {1951},
  type        = {resreport},
  url         = {https://www.rand.org/pubs/reports/R109.html},
  publisher   = {Association for Symbolic Logic},
  volume      = {14},
}

@Article{Tseitin1968,
  author       = {Grigori S. Tseitin},
  title        = {On the Complexity of Derivation in Propositional Calculus},
  journaltitle = {Studies in Constructive Mathematics and Mathematical Logic},
  year         = {1968},
  pages        = {115--125},
  url          = {http://www.decision-procedures.org/handouts/Tseitin70.pdf},
  file         = {:references/Tseitin1968 - On the Complexity of Derivation in Propositional Calculus.pdf:PDF},
}

@Article{Tung2017,
  author       = {Vu Xuan Tung and To Van Khanh and Mizuhito Ogawa},
  title        = {raSAT: an SMT solver for polynomial constraints},
  journaltitle = {Formal Methods in System Design},
  year         = {2017},
  volume       = {51},
  issue        = {3},
  pages        = {462--499},
  issn         = {1572-8102},
  doi          = {10.1007/s10703-017-0284-9},
}

@Thesis{Viehmann2016,
  author      = {Tarik Viehmann},
  title       = {Comparing different projection operators in the Cylindrical Algebraic Decomposition for SMT solving},
  type        = bathesis,
  institution = RWTH,
  year        = {2016},
  file        = {:Viehmann2016 - Comparing Different Projection Operators in the Cylindrical Algebraic Decomposition for SMT Solving.pdf:PDF},
  school      = RWTH,
}

@InProceedings{Viehmann2017,
  author       = {Tarik Viehmann and Gereon Kremer and Erika Ábrahám},
  title        = {Comparing Different Projection Operators in the Cylindrical Algebraic Decomposition for SMT Solving},
  booktitle    = {Satisfiability Checking and Symbolic Computation},
  year         = {2017},
  booksubtitle = {SC$^2$},
  eventtitle   = {ISSAC},
  volume       = {1974},
  series       = {CEUR Workshop Proceedings},
  publisher    = {CEUR-WS.org},
  url          = {http://ceur-ws.org/Vol-1974/RP2.pdf},
  file         = {:Viehmann2017 - Comparing Different Projection Operators in the Cylindrical Algebraic Decomposition for SMT Solving.pdf:PDF},
}

@Thesis{Volk2015,
  author      = {Matthias Volk},
  title       = {Using SAT Solvers for Industrial Combinatorial Problems},
  type        = mathesis,
  institution = RWTH,
  year        = {2015},
}

@Article{Weispfenning1988,
  author       = {Volker Weispfenning},
  title        = {The Complexity of Linear Problems in Fields},
  journaltitle = JSC,
  year         = {1988},
  volume       = {5},
  issue        = {1--2},
  pages        = {3--27},
  issn         = {0747-7171},
  doi          = {10.1016/S0747-7171(88)80003-8},
}

@Article{Weispfenning1997,
  author       = {Volker Weispfenning},
  title        = {Quantifier Elimination for Real Algebra --- the Quadratic Case and Beyond},
  journaltitle = {Applicable Algebra in Engineering, Communication and Computing},
  year         = {1997},
  volume       = {8},
  issue        = {2},
  pages        = {85--101},
  issn         = {1432-0622},
  doi          = {10.1007/s002000050055},
}

@Thesis{Winkler2016,
  author      = {Tobias Winkler},
  title       = {Using Thom Encodings for Real Algebraic Numbers in the Cylindrical Algebraic Decomposition},
  type        = bathesis,
  institution = RWTH,
  year        = {2016},
  file        = {:Winkler2016 - Using Thom Encodings for Real Algebraic Numbers in the Cylindrical Algebraic Decomposition.pdf:PDF},
  school      = RWTH,
}

@InProceedings{Wolfman1999,
  author       = {Steven A. Wolfman and Daniel S. Weld},
  title        = {The {LPSAT} Engine {\&} its Application to Resource Planning},
  booktitle    = {International Joint Conference on Artificial Intelligence},
  year         = {1999},
  editor       = {Thomas Dean},
  booksubtitle = {IJCAI},
  publisher    = {Morgan Kaufmann},
  pages        = {310--316},
  url          = {https://ijcai.org/Proceedings/99-1/Papers/046.pdf},
  file         = {:Wolfman1999 - The LPSAT Engine & Its Application to Resource Planning.pdf:PDF},
}

@Thesis{Zaman2019,
  author      = {Aklima Zaman},
  title       = {Incremental Linearization for SAT Modulo Real Arithmetic Solving},
  type        = mathesis,
  institution = RWTH,
  year        = {2019},
}

@Article{Zariski1965,
  author       = {Oscar Zariski},
  title        = {Studies in Equisingularity II},
  journaltitle = {American Journal of Mathematics},
  year         = {1965},
  subtitle     = {Equisingularity in Codimension 1 (and Characteristic Zero)},
  volume       = {87},
  number       = {4},
  pages        = {972--1006},
  doi          = {10.2307/2373257},
  publisher    = {JSTOR},
}

@InProceedings{Zeljic2016,
  author       = {Aleksandar Zelji{\'{c}} and Christoph M. Wintersteiger and Philipp Rümmer},
  title        = {Deciding Bit-Vector Formulas with mcSAT},
  booktitle    = {Theory and Applications of Satisfiability Testing},
  year         = {2016},
  editor       = {Creignou, Nadia and Le Berre, Daniel},
  booksubtitle = {SAT},
  volume       = {9710},
  series       = LNCS,
  isbn         = {978-3-319-40970-2},
  pages        = {249--266},
  doi          = {10.1007/978-3-319-40970-2_16},
}

@Comment{jabref-meta: databaseType:biblatex;}

@Comment{jabref-meta: saveOrderConfig:specified;bibtexkey;false;abstract;false;abstract;false;}
